#ifndef __AMSCPPNARRAY_LLBOPS_HPP__
#define __AMSCPPNARRAY_LLBOPS_HPP__

//Low level threaded buffer operations

namespace ams
{
namespace narray
{

    template<typename T1, typename T2> void buffer_copycast(T1 *bufferto, const T2 *bufferfrom, const narray_size_t N);
    
    
    template<typename T> void buffer_set(T *buffer, const T val, const narray_size_t ind1, const narray_size_t ind2);



};
};

#include <amscppnarray/amscppnarray_llbopsimpl.hpp>

#endif